<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card">
        <div class="card-header">
          <span class="float-left">
            <i class="fa fa-globe"></i> {{ "backup_restore.title" | translate }}
          </span>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-6">
              <fieldset class="group-border">
                <legend class="group-border">
                  {{ "backup_restore.backup" | translate }}
                </legend>
                <form
                  [formGroup]="backupLocalForm"
                  (submit)="saveBackupLocal()"
                >
                  <div class="form-group row">
                    <label
                      for="filenameInput"
                      class="col-sm-3 col-form-label"
                      >{{ "backup_restore.file_name" | translate }}</label
                    >
                    <div class="col-sm-6">
                      <input
                        type="text"
                        class="form-control"
                        id="filenameInput"
                        placeholder="{{
                          'backup_restore.file_name' | translate
                        }}"
                        formControlName="file_name"
                        style="width: 296px !important"
                      />
                      <span
                        class="text-danger"
                        *ngIf="
                          backupLocalForm.get('file_name').touched &&
                          backupLocalForm.get('file_name').invalid
                        "
                        >{{ "error.validate.input_required" | translate }}</span
                      >
                    </div>
                  </div>
                  <div class="form-group row">
                    <label for="schedule" class="col-sm-3 col-form-label">{{
                      "backup_restore.schedule" | translate
                    }}</label>
                    <div class="col-sm-4">
                      <label class="switch switch-pill switch-info">
                        <input
                          type="checkbox"
                          class="switch-input"
                          checked
                          id="schedule"
                          formControlName="schedule"
                          (change)="onScheduleChange()"
                        />
                        <span class="switch-slider"></span>
                      </label>
                      <span
                        class="text-danger"
                        *ngIf="
                          backupLocalForm.get('schedule').touched &&
                          backupLocalForm.get('schedule').invalid
                        "
                        >{{ "error.validate.input_required" | translate }}</span
                      >
                    </div>
                    <div class="col-sm-5 d-flex">
                      <div class="flex-grow-1"></div>
                      <button class="btn btn-primary" type="submit">
                        {{ "backup_restore.save_backup" | translate }}
                      </button>
                      <!-- <div
                        class="_tooltip tooltip__initiator"
                        *ngIf="showConfirmBackupLocal"
                      >
                        <div class="tooltip__item confirm-backup-popup p-0">
                          <div class="card m-0">
                            <div class="card-body">
                              <div class="form-group row">
                                <div class="col-sm-12">
                                  <input
                                    type="password"
                                    class="form-control"
                                    id="user_password"
                                    placeholder="{{
                                      'backup_restore.user_password' | translate
                                    }}"
                                    formControlName="user_password"
                                  />
                                  <span
                                    class="text-danger"
                                    *ngIf="
                                      backupLocalForm.get('user_password')
                                        .touched &&
                                      backupLocalForm.get('user_password')
                                        .invalid
                                    "
                                    >{{
                                      "error.validate.input_required"
                                        | translate
                                    }}</span
                                  >
                                </div>
                              </div>
                            </div>
                            <div class="card-footer text-right">
                              <button
                                type="submit"
                                class="btn btn-primary"
                                [disabled]="backupLocalForm.invalid"
                              >
                                {{ "common.confirm" | translate }}
                              </button>
                            </div>
                          </div>
                        </div>
                      </div> -->
                    </div>
                  </div>
                  <div
                    class="form-group row"
                    *ngIf="backupLocalForm.get('schedule').value"
                  >
                    <label for="period" class="col-sm-3 col-form-label">{{
                      "backup_restore.period" | translate
                    }}</label>
                    <div class="col-sm-6">
                      <select
                        id="period"
                        name="period"
                        class="form-control"
                        formControlName="period"
                        style="width: 296px !important"
                      >
                        <option
                          *ngFor="let period of PERIOD_BACKUP"
                          [ngValue]="period.value"
                        >
                          {{ period.label }}
                        </option>
                      </select>
                      <span
                        class="text-danger"
                        *ngIf="
                          backupLocalForm.get('period').touched &&
                          backupLocalForm.get('period').invalid
                        "
                        >{{ "error.validate.input_required" | translate }}</span
                      >
                    </div>
                  </div>

                  <div
                    class="form-group row"
                    *ngIf="backupLocalForm.get('schedule').value"
                  >
                    <label for="day_start" class="col-sm-3 col-form-label">{{
                      "backup_restore.start" | translate
                    }}</label>
                    <div class="col-sm-6">
                      <input
                        type="text"
                        [owlDateTimeTrigger]="dt1"
                        [owlDateTime]="dt1"
                        style="width: 296px !important"
                        class="form-control"
                        name="start_in"
                        id="day_start"
                        placeholder="DD-MM-YYYY"
                        formControlName="day_start"
                      />
                      <owl-date-time
                        #dt1
                        [pickerType]="'calendar'"
                      ></owl-date-time>
                      <span
                        class="text-danger"
                        *ngIf="
                          backupLocalForm.get('day_start').touched &&
                          backupLocalForm.get('day_start').invalid
                        "
                        >{{ "error.validate.input_required" | translate }}</span
                      >
                    </div>
                  </div>

                  <div
                    class="form-group row"
                    *ngIf="backupLocalForm.get('schedule').value"
                  >
                    <label for="mode" class="col-sm-3 col-form-label">{{
                      "backup_restore.mode" | translate
                    }}</label>
                    <div class="col-sm-6">
                      <select
                        id="mode"
                        name="mode"
                        class="form-control"
                        formControlName="mode"
                        style="width: 296px !important"
                      >
                        <option
                          *ngFor="let mode of LIST_MODE"
                          [ngValue]="mode.value"
                        >
                          {{ mode.label }}
                        </option>
                      </select>
                      <span
                        class="text-danger"
                        *ngIf="
                          backupLocalForm.get('mode').touched &&
                          backupLocalForm.get('mode').invalid
                        "
                        >{{ "error.validate.input_required" | translate }}</span
                      >
                    </div>
                  </div>
                  <div
                    class="row"
                    *ngIf="backupLocalForm.get('schedule').value"
                  >
                    <table class="table table-bordered table-sort-icon">
                      <thead>
                        <tr>
                          <th>{{ "post.schedule.name" | translate }}</th>
                          <th>{{ "post.schedule.day_start" | translate }}</th>
                          <th>{{ "backup_restore.period" | translate }}</th>
                          <th>
                            {{ "post.schedule.account_backup" | translate }}
                          </th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr *ngFor="let schedule of schedules">
                          <td>{{ schedule.file_name }}</td>
                          <td>{{ schedule.datetime }}</td>
                          <!-- <td>{{schedule.period_id}}</td> -->
                          <td>{{ showPeriod(schedule) }}</td>
                          <td>{{ schedule.account }}</td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <div class="form-group row"></div>
                </form>
              </fieldset>
            </div>
            <div class="col-6">
              <fieldset class="group-border">
                <legend class="group-border">
                  {{ "backup_restore.restore" | translate }}
                </legend>
                <form>
                  <div class="form-group row">
                    <div class="col-sm-12 text-right">
                      <button
                        type="submit"
                        class="btn btn-primary"
                        (click)="showConfirmRestore = !showConfirmRestore"
                      >
                        {{
                          "backup_restore.restore_default_setting" | translate
                        }}
                      </button>
                      <div
                        class="_tooltip tooltip__initiator"
                        *ngIf="showConfirmRestore"
                      >
                        <div class="tooltip__item p-0 confirm-restore-popup">
                          <form
                            [formGroup]="restoreForm"
                            (ngSubmit)="createRestoreDefault()"
                          >
                            <div class="card m-0">
                              <div class="card-body">
                                <div class="form-group row">
                                  <div class="col-sm-12">
                                    <input
                                      type="password"
                                      class="form-control"
                                      placeholder="{{
                                        'backup_restore.user_password'
                                          | translate
                                      }}"
                                      formControlName="user_password"
                                    />
                                    <span
                                      class="text-danger"
                                      *ngIf="
                                        restoreForm.get('user_password')
                                          .touched &&
                                        restoreForm.get('user_password').invalid
                                      "
                                      >{{
                                        "error.validate.input_required"
                                          | translate
                                      }}</span
                                    >
                                  </div>
                                </div>
                              </div>
                              <div class="card-footer text-right">
                                <button
                                  type="submit"
                                  class="btn btn-primary"
                                  [disabled]="restoreForm.invalid"
                                >
                                  {{ "common.confirm" | translate }}
                                </button>
                              </div>
                            </div>
                          </form>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="form-group row">
                    <label for="period" class="col-sm-2 col-form-label">{{
                      "backup_restore.files" | translate
                    }}</label>
                    <div class="col-sm-6">
                      <select
                        class="custom-select"
                        size="10"
                        *ngIf="files && files.length"
                      >
                        <option
                          *ngFor="let file of files"
                          value="{{ file.id }}"
                          (click)="onShowRestoreFile(backupFilePopup, file.id)"
                        >
                          {{ file.name }}
                        </option>
                      </select>
                    </div>
                  </div>
                  <div class="form-group row">
                    <div class="col-sm-6">
                      <input
                        type="file"
                        class="mb-2"
                        (change)="onChangeUploadRestoreFile($event)"
                      />
                      <button
                        type="button"
                        class="btn btn-primary"
                        (click)="onUploadRestoreFile()"
                        [disabled]="!this.uploadRestoreFile"
                      >
                        {{ "common.upload_file" | translate }}
                      </button>
                    </div>
                  </div>
                </form>
              </fieldset>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<ng-template #backupFilePopup let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-comfirm-delete-title">
      {{ "backup_restore.detail_restore_file" | translate }}
    </h4>
    <button
      type="button"
      class="close"
      aria-label="Close"
      (click)="modal.dismiss('Cross click')"
    >
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body" *ngIf="selectedRestoreFile">
    <div class="form-group row">
      <label for="schedule" class="col-sm-4 col-form-label">{{
        "backup_restore.file_name" | translate
      }}</label>
      <label class="col-sm-8 col-form-label">
        {{ selectedRestoreFile.file_name }}
      </label>
    </div>
    <div class="form-group row">
      <label for="schedule" class="col-sm-4 col-form-label">{{
        "backup_restore.file_size" | translate
      }}</label>
      <label class="col-sm-8 col-form-label">
        {{ selectedRestoreFile.file_size }}
      </label>
    </div>
    <div class="form-group row">
      <label for="schedule" class="col-sm-4 col-form-label">{{
        "backup_restore.backup_day" | translate
      }}</label>
      <label class="col-sm-8 col-form-label">
        {{ selectedRestoreFile.back_up_time }}
      </label>
    </div>
    <div class="form-group row">
      <label for="schedule" class="col-sm-4 col-form-label">{{
        "backup_restore.account_backup" | translate
      }}</label>
      <label class="col-sm-8 col-form-label">
        {{ selectedRestoreFile.account_backup }}
      </label>
    </div>
    <div class="form-group row">
      <label for="schedule" class="col-sm-4 col-form-label">{{
        "backup_restore.backup_type" | translate
      }}</label>
      <label class="col-sm-8 col-form-label">
        {{ selectedRestoreFile.backup_type }}
      </label>
    </div>
  </div>

  <div class="modal-footer justify-content-around">
    <div class="col-6">
      <button
        type="button"
        class="btn btn-secondary"
        (click)="onDownload(selectedRestoreFile.id)"
      >
        <i class="fa fa-download" aria-hidden="true"></i>
        {{ "common.download" | translate }}
      </button>
    </div>
    <div class="col-6 text-right">
      <button
        type="button"
        class="btn btn-primary"
        (click)="showConfirmRestorePopup = !showConfirmRestorePopup"
      >
        <i class="fa fa-window-restore" aria-hidden="true"></i>
        {{ "common.restore" | translate }}
      </button>
      <div class="_tooltip tooltip__initiator" *ngIf="showConfirmRestorePopup">
        <div class="tooltip__item p-0 confirm-restore-popup-2">
          <form [formGroup]="restoreForm" (ngSubmit)="restoreFile()">
            <div class="card m-0">
              <div class="card-body">
                <div class="form-group row">
                  <div class="col-sm-12">
                    <input
                      type="password"
                      class="form-control"
                      placeholder="{{
                        'backup_restore.user_password' | translate
                      }}"
                      formControlName="user_password"
                    />
                    <span
                      class="text-danger"
                      *ngIf="
                        restoreForm.get('user_password').touched &&
                        restoreForm.get('user_password').invalid
                      "
                      >{{ "error.validate.input_required" | translate }}</span
                    >
                  </div>
                </div>
              </div>
              <div class="card-footer text-right">
                <button
                  type="submit"
                  class="btn btn-primary"
                  [disabled]="restoreForm.invalid"
                >
                  {{ "common.confirm" | translate }}
                </button>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</ng-template>
